{
  "virtualflag" : 0,
  "psdataentityname" : "CRMTAXRATE",
  "decat" : "DEFAULT",
  "validflag" : 1,
  "logicvalid" : 0,
  "detype" : 1,
  "codename" : "CRMTaxRate",
  "noviewmode" : 1,
  "createdate" : "2021-01-28 22:58:54",
  "storagemode" : 1,
  "logicname" : "税率",
  "existingmodel" : 0,
  "enatempdata" : 0,
  "systemflag" : 0,
  "tablename" : "CRMTAXRATE",
  "psdedbcfgs" : [ {
    "validflag" : 1,
    "createdate" : "2021-01-28 22:58:54",
    "psdedbcfgname" : "MYSQL5"
  } ],
  "psdedrgroups" : [ {
    "codename" : "DRGroup",
    "createdate" : "2021-01-28 22:58:59",
    "psdedrgroupname" : "详细信息",
    "ordervalue" : 10000
  } ],
  "psdefields" : [ {
    "enableuserinput" : 3,
    "psdefieldname" : "CREATEDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/CRMTAXRATE/CREATEDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CreateDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2021-01-28 22:58:56",
    "psdetableid" : "<PSDATAENTITY>/CRMTAXRATE",
    "predefinetype" : "CREATEDATE",
    "pkey" : 0,
    "length" : 8,
    "logicname" : "建立时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "T_CRMTAXRATE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-01-28 22:58:56",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[CREATEDATE][建立时间]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-01-28 22:58:57",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[CREATEDATE][建立时间]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CREATEDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-01-28 22:58:56"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "CREATEMAN",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/CRMTAXRATE/CREATEMAN",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CreateMan",
    "psdatatypeid" : "TEXT",
    "createdate" : "2021-01-28 22:58:56",
    "psdetableid" : "<PSDATAENTITY>/CRMTAXRATE",
    "predefinetype" : "CREATEMAN",
    "pkey" : 0,
    "length" : 60,
    "logicname" : "建立人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "T_CRMTAXRATE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-01-28 22:58:56",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[CREATEMAN][建立人]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-01-28 22:58:56",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[CREATEMAN][建立人]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CREATEMAN",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-01-28 22:58:56"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "CRMTAXRATEID",
    "psdatatypename" : "全局唯一标识，文本类型，用户不可见",
    "pssysdbcolumnid" : "DEFAULT/CRMTAXRATE/CRMTAXRATEID",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CRMTaxRateId",
    "psdatatypeid" : "GUID",
    "createdate" : "2021-01-28 22:58:55",
    "psdetableid" : "<PSDATAENTITY>/CRMTAXRATE",
    "pkey" : 1,
    "length" : 100,
    "logicname" : "税率标识",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "T_CRMTAXRATE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-01-28 22:58:55",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[CRMTAXRATEID][税率标识]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-01-28 22:58:55",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[CRMTAXRATEID][税率标识]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CRMTAXRATEID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-01-28 22:58:55"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "CRMTAXRATENAME",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/CRMTAXRATE/CRMTAXRATENAME",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CRMTaxRateName",
    "psdatatypeid" : "TEXT",
    "createdate" : "2021-01-28 22:58:55",
    "psdetableid" : "<PSDATAENTITY>/CRMTAXRATE",
    "pkey" : 0,
    "length" : 200,
    "logicname" : "税率名称",
    "majorfield" : 1,
    "deftype" : 1,
    "allowempty" : 1,
    "fkey" : 0,
    "tablename" : "T_CRMTAXRATE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-01-28 22:58:55",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[CRMTAXRATENAME][税率名称]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-01-28 22:58:56",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[CRMTAXRATENAME][税率名称]移动端默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "LIKE",
      "psdbvalueopname" : "文本包含(%)",
      "psdefsfitemname" : "N_CRMTAXRATENAME_LIKE",
      "createdate" : "2021-01-28 22:58:56"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CRMTAXRATENAME",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-01-28 22:58:55"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "MEMO",
    "psdatatypename" : "长文本，长度1000",
    "pssysdbcolumnid" : "DEFAULT/CRMTAXRATE/MEMO",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Memo",
    "psdatatypeid" : "LONGTEXT_1000",
    "createdate" : "2021-02-01 18:55:25",
    "psdetableid" : "<PSDATAENTITY>/CRMTAXRATE",
    "pkey" : 0,
    "length" : 2000,
    "logicname" : "备注",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "fkey" : 0,
    "tablename" : "CRMTAXRATE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-01 18:55:25",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[MEMO][备注]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-01 18:55:25",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[MEMO][备注]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "MEMO",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-01 18:55:25"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "UPDATEDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/CRMTAXRATE/UPDATEDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UpdateDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2021-01-28 22:58:57",
    "psdetableid" : "<PSDATAENTITY>/CRMTAXRATE",
    "predefinetype" : "UPDATEDATE",
    "pkey" : 0,
    "length" : 8,
    "logicname" : "更新时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "T_CRMTAXRATE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-01-28 22:58:57",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[UPDATEDATE][更新时间]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-01-28 22:58:58",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[UPDATEDATE][更新时间]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UPDATEDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-01-28 22:58:57"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "UPDATEMAN",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/CRMTAXRATE/UPDATEMAN",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UpdateMan",
    "psdatatypeid" : "TEXT",
    "createdate" : "2021-01-28 22:58:57",
    "psdetableid" : "<PSDATAENTITY>/CRMTAXRATE",
    "predefinetype" : "UPDATEMAN",
    "pkey" : 0,
    "length" : 60,
    "logicname" : "更新人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "T_CRMTAXRATE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-01-28 22:58:57",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[UPDATEMAN][更新人]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-01-28 22:58:57",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[UPDATEMAN][更新人]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UPDATEMAN",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-01-28 22:58:57"
    } ]
  } ],
  "psdeopprivs" : [ {
    "logicname" : "建立",
    "createdate" : "2021-01-28 22:58:55",
    "psdeopprivname" : "CREATE"
  }, {
    "logicname" : "删除",
    "createdate" : "2021-01-28 22:58:55",
    "psdeopprivname" : "DELETE"
  }, {
    "logicname" : "读取",
    "createdate" : "2021-01-28 22:58:54",
    "psdeopprivname" : "READ"
  }, {
    "logicname" : "更新",
    "createdate" : "2021-01-28 22:58:55",
    "psdeopprivname" : "UPDATE"
  } ],
  "psdetables" : [ {
    "pssysdbtableid" : "DEFAULT/CRMTAXRATE",
    "psdetablename" : "CRMTAXRATE",
    "tabletype" : "MAIN",
    "createdate" : "2021-01-28 22:59:24",
    "colinheritmode" : 1
  } ],
  "pssysdmitems" : [ {
    "dbobjtype" : "TABLE",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CRMTAXRATE",
    "userflag" : 0,
    "createsql4" : "CREATE TABLE `CRMTAXRATE`(\n`CRMTAXRATEID`  VARCHAR(100)  NOT NULL PRIMARY KEY COMMENT '税率标识' \n,`CRMTAXRATENAME`  VARCHAR(200) COMMENT '税率名称' \n,`CREATEMAN`  VARCHAR(60) COMMENT '建立人' \n,`CREATEDATE`  DATETIME COMMENT '建立时间' \n,`UPDATEMAN`  VARCHAR(60) COMMENT '更新人' \n,`UPDATEDATE`  DATETIME COMMENT '更新时间' \n,`MEMO`  VARCHAR(2000) COMMENT '备注' \n)COMMENT='税率';",
    "testsql" : "SELECT 1 FROM `CRMTAXRATE` WHERE 1<>1",
    "psobjid" : "5dbdf46baebcd80fc2fd829ad41a851b",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CRMTAXRATE",
    "createdate" : "2021-01-28 23:13:22"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CRMTAXRATE.CREATEDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `CRMTAXRATE`\nADD COLUMN `CREATEDATE`  DATETIME  COMMENT '建立时间' \n",
    "testsql" : "SELECT `CREATEDATE` FROM `CRMTAXRATE` WHERE 1<>1",
    "psobjid" : "71a5bc35599637efc3acb6aaa847714e",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CREATEDATE",
    "createdate" : "2021-01-28 23:13:23"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CRMTAXRATE.CREATEMAN",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `CRMTAXRATE`\nADD COLUMN `CREATEMAN`  VARCHAR(60)  COMMENT '建立人' \n",
    "testsql" : "SELECT `CREATEMAN` FROM `CRMTAXRATE` WHERE 1<>1",
    "psobjid" : "092a649eaf14d79122fd1c8c3663776e",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CREATEMAN",
    "createdate" : "2021-01-28 23:13:22"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CRMTAXRATE.CRMTAXRATEID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `CRMTAXRATE`\nADD COLUMN `CRMTAXRATEID`  VARCHAR(100)  COMMENT '税率标识' \n",
    "testsql" : "SELECT `CRMTAXRATEID` FROM `CRMTAXRATE` WHERE 1<>1",
    "psobjid" : "6e096c70f4a54892a7830ffe8dc014cb",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CRMTAXRATEID",
    "createdate" : "2021-01-28 23:13:22"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CRMTAXRATE.CRMTAXRATENAME",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `CRMTAXRATE`\nADD COLUMN `CRMTAXRATENAME`  VARCHAR(200)  COMMENT '税率名称' \n",
    "testsql" : "SELECT `CRMTAXRATENAME` FROM `CRMTAXRATE` WHERE 1<>1",
    "psobjid" : "88d1f491690e3c944bd7d1e867bcef79",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CRMTAXRATENAME",
    "createdate" : "2021-01-28 23:13:22"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CRMTAXRATE.MEMO",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `CRMTAXRATE`\nADD COLUMN `MEMO`  VARCHAR(2000)  COMMENT '备注' \n",
    "testsql" : "SELECT `MEMO` FROM `CRMTAXRATE` WHERE 1<>1",
    "psobjid" : "aba11ed08f9dd85e3460359dfd7bc894",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "MEMO",
    "createdate" : "2021-02-01 19:06:39"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CRMTAXRATE.UPDATEDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `CRMTAXRATE`\nADD COLUMN `UPDATEDATE`  DATETIME  COMMENT '更新时间' \n",
    "testsql" : "SELECT `UPDATEDATE` FROM `CRMTAXRATE` WHERE 1<>1",
    "psobjid" : "7942e1d777fa31d12182dcc0efacfb23",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UPDATEDATE",
    "createdate" : "2021-01-28 23:13:23"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CRMTAXRATE.UPDATEMAN",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `CRMTAXRATE`\nADD COLUMN `UPDATEMAN`  VARCHAR(60)  COMMENT '更新人' \n",
    "testsql" : "SELECT `UPDATEMAN` FROM `CRMTAXRATE` WHERE 1<>1",
    "psobjid" : "77758d04b0a01c602b1276973a2a8e16",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UPDATEMAN",
    "createdate" : "2021-01-28 23:13:23"
  } ]
}